Bug 171010 - Resume from suspend causes soft lockup and hang
Resume from suspend causes soft lockup and hang
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-17 08:15 EDT by Andrew Duggan
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-30 13:01:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Duggan 2005-10-17 08:15:47 EDT
Description of problem:

Version-Release number of selected component (if applicable):
2.6.13-1.1611_FC5.NTFS

How reproducible:
Always

Steps to Reproduce:
1. echo -n "platform" > /sys/power/disk
   echo -n "disk" > /sys/power/state
2. After successfull suspend, press power button to resume 
3. kernel boots, reads image
  
Actual results:
Bug: soft lockup detected on CPU#0! 
system hangs - no response from ALT-SYSREQ-B

Expected results:
Normal resume

Additional info:

Kernel was built with the NTFS module included - that is the only config change.

the radeonfb is loaded from the initrd also, but the soft lockup still happens
without the radeonfb loaded using a 80x25 text console -- the call stack is
different though, doesn't include the fb_flashcursor ...

Rebuilding with any other PREEMPT option used instead of the shipping
CONFIG_PREEMPT_VOLUNTARY=y produces a resumable kernel -- no soft lockup.

Works fine with # CONFIG_PREEMPT_VOLUNTARY is not set and
(CONFIG_PREEMPT=y or CONFIG_PREEMPT_NONE=y) instead of CONFIG_PREEMPT_VOLUNTARY=y. 
-------------

Bug: soft lockup detected on CPU#0!

Pid: 4, comm:             events/0
EIP: 0060:[<c0143156>] CPU: 0
EIP is at handle_IRQ_event+0x17/0x5a
 EFLAGS: 00000246    Not tainted  (2.6.13-1.1611_FC5.NTFS)
EAX: 00000009 EBX: c14f1824 ECX: c14f1824 EDX: c0424fbc
ESI: 00000000 EDI: c0424fbc EBP: c03e4f9c DS 007b ES: 007b
CR0: 8005003b CR2: 80050033 CR3: 0f800000 CR4: 000006d0
 [<c0143211>] __do_IRQ+0x78/0xd7
 [<c0104ece>] do_IRQ+0x4a/0x82
========================
 [<c0128183>] cascasde+0x21/0x3b
 [<c0103922>] common_interrupt+0x1a/0x20
 [<0c124d8c>] __do_softirq+0x2c/0x8a
 [<c0104fe6>] do_softirq+0x3e/0x42
========================
 [<c0104ed5>] do_IRQ+0x51/0x82
 [<c0103922>] common_interrupt+0x1a/0x20
 [<c032254c>] schedule+0x31c/0x5bb
 [<c032392e>] _spin_lock_irqsave+0x9/0xd
 [<c012f296>] worker_thread+0x218/0x22a
 [<c03239c1>] _spin_unlock_irq+0x5/0x7
 [<c01eb250>] fb_flashcursor+0x0/0x2e8
 [<c011cae4>] default_wake_function+0x0/0xc
 [<c012f07e>] worker_thread+0x0/0x22a
 [<c0132acb>] kthread+0x87/0x8b
 [<c0132a44>] kthread+0x0/0x8b
 [<c0101301>] kernel_thread_helper+0x5/0xb


---------

Process in rebuilding the kernel:
1) rpm -ivh kernel-2.6.13-1.1611_FC5.src.rpm
2) /s/`whoami`/NTFS/ in the rpmbuild/SPECS/KERNEL-2.6.spec
3) /s/# CONFIG_NTFS_FS is not set/CONFIG_NTFS_FS=y 
   # CONFIG_NTFS_DEBUG is not set
   # CONFIG_NTFS_RW is not set
4) rpmbuild -ba --target i686 kernel-2.6.spec

Also happens with 2.6.13-1.1603_FC5 

On FC5 the 2.6.13-1.1526 and 1524 kernels would hang without reporting a soft
lockup, but would resume fine CONFIG_PREEMPT or CONFIG_PREEMPT_NONE.

-----

Not causing problem for me as I don't mind running either CONFIG_PREEMPT or
CONFIG_PREEMPT_NONE, just thought you might want to know.
Comment 1 Andrew Duggan 2005-10-17 22:53:31 EDT
Just in case it would matter, I d/l & installed
kernel-2.6.13-1.1616_FC5.i686.rpm today -- same behavior. (1615 wouldnt boot -
panic same as other reporters of 1615.) Used the binary i686 kernel package - no
radeonfb loaded either to eliminate any possible local build "interference", or
r/t issues.
=====

Bug: soft lockup detected on CPU#0!

PID 4, comm:              events/0
EIP: 0060:[<c0143126>] CPU: 0
EIP is at handle_IRQ_event+0x17/0x5a
 EFLAGS: 00000246    Not tainted  (2.6.13-1.1616_FC5)
EAX: 00000009 EBX: c14e2a34 ECX: c14e2a34 EDX: c0424fbc
ESI: 00000000 EDI: c0424fbc EBP: c03e4f9c DS: 007b ES: 007b
CR0: 8005003b CR2: 80050033 CR3: 0bfc6000 CR4: 000006d0
 [<c01431e1>] __do_IRQ+0x78/0xd7
 [<c0104ece>] do_IRQ+0x4a/0x82
 =======================
 [<c0103922>] common_interrupt_0x1a/0x20
 [<c0124d6c>] __do_softirq+0x2c/0x8a
 [<c0104fe6>] do_softirq_0x3e/0x42
 =======================
 [<c0104ed5>] do_IRQ+0x51/0x82
 [<c0103922>] common_interrupt+0x1a/0x20
 [<c032253c>] schedule+0x31c/0x5ba
 [<c012f276>] worker_thread+0x218/0x22a
 [<c014d901>] cache_reap+0x0/0x19b
 [<c011cae4>] default_wake_function+0x0/0xc
 [<c012f05e>] worker_thread+0x0/0x22a
 [<c0132aab>] kthread+0x87/0x8b
 [<c0132a24>] kthraed+0x0/0x8b
 [<c01012fd>] kernel_thread_helper+0x5/0xb
Comment 2 Andrew Duggan 2005-11-12 02:00:54 EST
Should have added for swsusp / hibernate to resume without a hang or softlockup
that kernel command line now needs
pci=routeirq 
at least for my hardware starting somewhere in the range of 2.6.14-rc kernels.

Note You need to log in before you can comment on or make changes to this bug.